import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Danmu } from './danmu/danmu.entity';
import { MoreThan, Repository } from 'typeorm';

@Injectable()
export class AppService {
  constructor(
    @InjectRepository(Danmu)
    private readonly danmuRepository: Repository<Danmu>,
  ) {}

  async top(): Promise<Danmu[]> {
    const data = await this.danmuRepository
      .createQueryBuilder('danmu')
      .select([
        'user_id',
        'MAX(CAST(danmu.user_level AS UNSIGNED)) as user_level',
        'MAX(danmu.user_nickName) as user_nickName',
        'MAX(danmu.user_fans_club_level) as user_fans_club_level',
        'MAX(danmu.user_isAdmin) as user_isAdmin',
        'MAX(danmu.user_is_super_admin) as user_is_super_admin',
      ])
      .where('CAST(danmu.user_level AS UNSIGNED) > :level', { level: 20 })
      .groupBy('user_id')
      .orderBy('user_level', 'DESC')
      .getRawMany();

    // for (const item of data) {
    //   const { user_id } = item;
    //   const msg_contents = await this.danmuRepository.find({
    //     select: ['msg_content'],
    //     where: { user_id },
    //   });
    //   item.msg_contents = msg_contents;
    // }
    return data;
  }

  async msgContent(user_id) {
    const data = await this.danmuRepository.find({
      select: ['msg_content'],
      where: { user_id },
    });
    return data.map((i) => i.msg_content);
  }
}
